#if !defined(win32fe_ArchiverFE_h_)
#define win32fe_ArchiverFE_h_

#include "toolfe.h"

namespace win32fe {

  class archiver : public tool {
  public:
    archiver() {}
    virtual ~archiver() {}
    virtual int Parse(void);
    virtual int Execute(void);
  protected:
    virtual int Archive(void);
    virtual void Help(void);

    virtual void FoundFlag(win32fe::LI &);
    virtual void DisplayVersion(void);
    virtual bool IsAKnownTool(void);
    virtual void Merge(std::string &,std::list<std::string> &,win32fe::LI &);

    std::list<std::string> archivearg;
  };

}

#endif
